/*
作者:walkman
邮箱:winstepscn@163.com
QQ:27800640


[用途]:
改善asp.net的验证控件的显示效果，用比较人性化的气泡提示来替换掉原来枯燥的界面提示,并带有"关闭提示"的功能.

[注意]:
本程序在.net2.0下，IE6、Firefox2下通过，但不保证能适应所有浏览器。

[版权相关]:
欢迎大家使用和转载本程序，但是为了尊重作者的劳动成果，请转载时不要将作者的联系信息去掉；也欢迎大家根据这个思路创造出更好的验证提示效果，同时也请将修改后的程序发一份给作者本人，欢迎交流，共同进步。此气泡特效参考了蓝色理想中的代码，在此表示感谢。


[演示和下载]:
http://www.shouji138.com/aspnet2/
*/



//处理验证控件显示
function ValidatorUpdateDisplay(val)
{   
     if (typeof(val.display) == "string")
     {
        if (val.display == "None")
        {
            return;
        }
    }
    if ((navigator.userAgent.indexOf("Mac") > -1) &&(navigator.userAgent.indexOf("MSIE") > -1))
    {
        val.style.display = "inline";
    }
    val.style.position = "absolute";
    val.style.className = "";
    var closestr = " [<span style=\"cursor:hand;color:red\" title=\"关闭提示\" onclick=\"javascript:HideWinErrMsgTips('"+val.id+"')\">关闭</span>]&nbsp;";
    val.innerHTML="<div style=\"position:absolute;z-index:9999;filter:alpha(opacity=100)\" class='tip-bg' id='"+val.id+"____'><div class=\"tip-bulb\">&nbsp;&nbsp;"+val.errormessage+closestr+"</div></div>";
    obj = document.getElementById(val.controltovalidate)
    var WinElementPos = getWinElementPos(obj)
	val.style.left = (parseInt(WinElementPos.x+obj.offsetWidth)).toString() + "px";
	val.style.top = (parseInt(WinElementPos.y)).toString() + "px";
    val.style.visibility = val.isvalid ? "hidden" : "visible";
    __Win__BlockFlag = true;
    if(typeof(__Win__IsAutoClose)!="undefined"&&__Win__IsAutoClose&&typeof(__Win__CloseWaitTime)!="undefined")
        setTimeout("HideWinErrMsgTips('"+val.id+"')",__Win__CloseWaitTime);
}
